%if 0%{?rhel} == 7
%define yumcmd yum
%else
%define yumcmd dnf
%endif

Name: mini-tps
Version: 0.1
Release: 186.20250417191133669888.main%{?dist}
Summary: Mini TPS - Test Package Sanity

License: GPLv2
URL:     https://github.com/fedora-ci/mini-tps
Source0: mini-tps-0.1.tar.gz
BuildArch: noarch
# Don't add any Requires here because those would become protected, see mini-tps.conf

%description
Light version of TPS

%prep
%autosetup -n mini-tps-0.1

%build

%install
mkdir -p %{buildroot}%{_sbindir} # epel7
install -pD -m 0755 --target-directory=%{buildroot}%{_sbindir} mtps-*

mkdir -p %{buildroot}%{_sysconfdir}/%{yumcmd}/protected.d/
cat > %{buildroot}%{_sysconfdir}/%{yumcmd}/protected.d/mini-tps.conf <<EOF
# Packages for which mini-tps won't run the 'remove' test (i.e. won't try to remove them).

mini-tps
openssh-server
dnf5
python3-dnf
dnf-utils
yum
yum-utils
EOF
%if 0%{?rhel} > 7
cat >> %{buildroot}%{_sysconfdir}/%{yumcmd}/protected.d/mini-tps.conf <<EOF

# https://bugzilla.redhat.com/show_bug.cgi?id=1641631
dnf-plugins-core
libselinux-utils
rpm-plugin-selinux
EOF

%endif

# viewer
install -pD -m 0755 viewer/generate-result-json %{buildroot}%{_libexecdir}/mini-tps/viewer/generate-result-json
install -pD -m 0644 viewer/viewer.html %{buildroot}%{_datarootdir}/mini-tps/viewer/viewer.html

# profiles
mkdir -p %{buildroot}%{_datarootdir}/mini-tps/profiles/{rhel,centos-stream,fedora}/
cp -rfp profiles/rhel/{repos,optrepos}/ %{buildroot}%{_datarootdir}/mini-tps/profiles/rhel/
cp -rfp profiles/centos-stream/{repos,optrepos}/ %{buildroot}%{_datarootdir}/mini-tps/profiles/centos-stream/
cp -rfp profiles/fedora/repos/ %{buildroot}%{_datarootdir}/mini-tps/profiles/fedora/

# prepare scripts
install -pD -m 0755 profiles/rhel/prepare-system %{buildroot}%{_libexecdir}/mini-tps/rhel/prepare-system
install -pD -m 0755 profiles/centos-stream/prepare-system %{buildroot}%{_libexecdir}/mini-tps/centos-stream/prepare-system
install -pD -m 0755 profiles/fedora/prepare-system %{buildroot}%{_libexecdir}/mini-tps/fedora/prepare-system

%files
%{_sbindir}/mtps-*
%config %{_sysconfdir}/%{yumcmd}/protected.d/mini-tps.conf
%{_datarootdir}/mini-tps/*
%{_libexecdir}/mini-tps/*


%changelog
* Thu Apr 17 2025 Jiri Popelka <jpopelka@redhat.com> - 0.1-186.20250417191133669888.main
- Update extracting values from json - OSCI-8298 (Jiri Popelka)
- Bump release (Michal Fabik)
- Fix SRPM URL creation for draft builds (Michal Fabik)
- Bump spec file (Michal Srb)
- Add RHEL 10 profiles (Michal Srb)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Add create-srpm.sh script (Michal Srb)
- getLatestBuilds tag can be a name (string) as well (Jiri Popelka)
- Improve SRPM creating instructions in README (Jiri Popelka)
- Bump spec (Jiri Popelka)
- Konflux imported: Get RPMs from build intead of from a (sub)task(s) (Jiri Popelka)
- Fix minor changes (Jiri Popelka)
- Don't debug print the Brew query XMLs (Jiri Popelka)
- Rename functions to be more informative (Jiri Popelka)
- Fix brew_get_tag() and brew_list_tagged() (Jiri Popelka)
- Fix brew_get_build() when build is ID (Jiri Popelka)
- Fix misplaced param (Jiri Popelka)
- Fix brew_get_latest_builds() (Jiri Popelka)
- pre-commit autoupdate (Jiri Popelka)
- viewer: ignore UTF-8 errors (Miroslav Vadkerti)
- Don't install redhat-internal-cert-install rpm (Jiri Popelka)
- Bump spec (Michal Srb)
- Remove Resilient Storage repos (Michal Srb)
- Update available repos (Diego Herrera)
- Use variable for arch (Diego Herrera)
- Add profile for CentOS Stream 10 (Diego Herrera)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Bump release (Michal Srb)
- Create rhel-10.0.repo (Jan Kaluza)
- Bump spec (Jiri Popelka)
- Workaround for yum v3.4.3 downgrade test (Dominika Vesela)
- Update spec (Michal Srb)
- Ignore (bogus?) warnings about removed systemd unit files being changed on disk and needing to be reloaded (Michal Srb)
- Bump spec (Jiri Popelka)
- Don't use --allowerasing with dnf remove (Jiri Popelka)
- Enable repos the dnf5 way (Jiri Popelka)
- dnf5 has no repo-pkgs command (Jiri Popelka)
- If dnf5 and dnf-3 are installed, use dnf5 (Jiri Popelka)
- A bit less hacky hack (Jiri Popelka)
- Add repo for RHEL 7.7 z-stream (Michal Srb)
- Treat SELinux AVCs as warnings (Jiri Popelka)
- Reapply "setenforce fails when running in a container" (Jiri Popelka)
- Ugly hack for missing config-manager (Jiri Popelka)
- Bump spec (Jiri Popelka)
- Revert "setenforce fails when running in a container" (Jiri Popelka)
- Bump spec (Jiri Popelka)
- Add dnf to protected packages (Jiri Popelka)
- --show-duplicates is NOT used by default in dnf 3 (RHEL 7) (Jiri Popelka)
- Buildroot/brewroot repos are multiarch (Jiri Popelka)
- Add RHEL-7 buildroot (Jiri Popelka)
- Enable all 7.9 repos (Jiri Popelka)
- Build x86_64 only as it's noarch (Jiri Popelka)
- rhel-7.9-z.repo: x86_64 -> $basearch where possible (Jiri Popelka)
- Use --repoid --all (Jiri Popelka)
- Reuse existing repo_name variable (Jiri Popelka)
- Fallback to createrepo if createrepo_c is not available (Jiri Popelka)
- setenforce fails when running in a container (Jiri Popelka)
- pre-commit autoupdate (Jiri Popelka)
- 7.9: move updates repos before released (Jiri Popelka)
- Build all architectures (for EPEL) (Jiri Popelka)
- Install yum-utils before running yum-config-manager (Jiri Popelka)
- One more place to replace http:// -> https:// (Jiri Popelka)
- Use https://download.devel.redhat.com everywhere (Jiri Popelka)
- Use download.devel.redhat.com instead of download.eng.bos.redhat.com (Jiri Popelka)
- consistently call plain `repoquery`, ensure it is available (#47) (Adam Williamson)
- Update 'testing PR in pipeline' (Jiri Popelka)
- Add compatibility with RHEL7 (and YUM v3) (#45) (Jan Blazek)
- README update (Copr builds & testing pipelines) (Jiri Popelka)
- Add rhel-10.0-beta.repo (Jiri Popelka)
- Make the file name parsable by generate-result-json (Jiri Popelka)
- Repoquery the test repo in prepare phase (Jiri Popelka)
- Treat scriptlet check problems as warnings, not errors (Jiri Popelka)
- Add more results to mapping (Jiri Popelka)
- Define REPOFILE & REPOFILE_OPT_PREFIX just before running prepare script (Jiri Popelka)
- Handle missing compose (Jiri Popelka)
- Build from PR also for aarch64 (Jiri Popelka)
- Bump spec (Jiri Popelka)
- Create (generate-result-json)-parsable log file from mtps-get-module (Jiri Popelka)
- Check whether a modulemd file exists before download/parse (Jiri Popelka)
- ResilientStorage is missing aarch64 variant (Jiri Popelka)
- Bump spec (Jiri Popelka)
- Separate exit code for skipped tests (Jiri Popelka)
- Skip update if old package can't be installed (Jiri Popelka)
- Un-hardwire x86_64 (Jiri Popelka)
- Make baseurls arch independent (Jiri Popelka)
- Indent the result.json (Jiri Popelka)
- Bump spec (Jiri Popelka)
- Prefix mtps-get-task logfile with SKIP if the task exits with one of the special exit codes (Jiri Popelka)
- generate-result-json now understands SKIP result (Jiri Popelka)
- Deduplicate urls, not rpms (Jiri Popelka)
- Strip off the tasks/task-id/ prefix only when needed (Jiri Popelka)
- Improve messages (Jiri Popelka)
- yum/dnf update -> upgrade & -y move (Jiri Popelka)
- Use pathlib.Path, collections.defaultdict and f-strings (Jiri Popelka)
- Move Requires: to mini-tps.conf (Jiri Popelka)
- Remove the recently added Requires (Jiri Popelka)
- Differentiate between 'no x86_64/noarch pkgs' and 'no pkgs available in repos' (Jiri Popelka)
- Filter rpms for availability after deduplication (Jiri Popelka)
- Remove duplicates from lists of rpms (Jiri Popelka)
- Get the rpm filename (basename) sooner (Jiri Popelka)
- Remove unreachable condition (Jiri Popelka)
- Refactor Brew querying functions (Jiri Popelka)
- Squash debug calls to one line (Jiri Popelka)
- Install which and procps-ng in prepare-system (all profiles) (Adam Williamson)
- mtps-mutils Requires: python-gobject-base & libmodulemd (Jiri Popelka)
- Implement the '3. If /usr/bin/yum is present then use yum' (Jiri Popelka)
- Fix some shellcheck warnings (Jiri Popelka)
- move mtps-* executables from /usr/local/bin/ to /usr/sbin/ (Jiri Popelka)
- /bin/bash -> /usr/bin/bash (Jiri Popelka)
- Spec: URL update (Jiri Popelka)
- Use packit to build in copr (Jiri Popelka)
- Fix shellcheck errors (Jiri Popelka)
- pre-commit (Jiri Popelka)
- Bump redhat-plumbers-in-action/differential-shellcheck from 4 to 5 (dependabot[bot])
- Add CentOS Stream 8 profile (Miroslav Vadkerti)
- Bump actions/checkout from 3 to 4 (dependabot[bot])
- Bump spec (Andrei Stepanov)
- yum/dnf customizable (Andrei Stepanov)
- Bump spec file (Michal Srb)
- Add profiles for Fedora (Michal Srb)
- Bump spec file (Michal Srb)
- Add "--rpmverify" option (Michal Srb)
- mtps-get-task: Drop module_hotfixes=0 from the brew repo (Michal Srb)
- Add 8.10.0 profile (Michal Fabik)
- Bump spec file (Michal Srb)
- Update wording around scriptlet problems (Michal Srb)
- Ignore known false positives in scriplet output (Michal Srb)
- Add HTML result viewer (Michal Srb)
- Make sure cmd_output_parts_prefix var is declared (Michal Srb)
- Bump spec file (Michal Srb)
- Add "--scriptletcheck" option (Michal Srb)
- Bump redhat-plumbers-in-action/differential-shellcheck from 3 to 4 (dependabot[bot])
- Bump spec (Michal Srb)
- Add RHEL 9 flatpak repos (Michal Srb)
- bump spec (Andrei Stepanov)
- OSCI-4333: Do not try removing package which introduced /etc/dnf/protected.d file. (Jan Kaluza)
- Bump spec (Andrei Stepanov)
- OSCI-4229: not fail becuase of USER_AVC.*received policyload notice (Andrei Stepanov)
- Bump spec file (Michal Srb)
- mtps-get-task: Add support for scratch builds (Michal Srb)
- Update README.md (Michal Srb)
- Add profile for CentOS Stream 9 (Michal Srb)
- Make profiles configurable for different operating systems. (Michal Srb)
- Add .src.rpm to .gitignore (Michal Srb)
- Fix --onlyinrepo option in mtps-get-task (Michal Srb)
- ci: Add Shell linter and Dependabot (Jan Macku)
- Ignore volumes when constructing Koji URLs (Michal Srb)
- Exclude SRPM if they happen to be in the test repository (Michal Srb)
- [readme] Update tarball instructions (Michal Srb)
- Release the project to upstream (Andrei Stepanov)

* Tue Feb 18 2025 Michal Fabik <mfabik@redhat.com> - 0.1-186
- Fix SRPM URL creation for draft builds

* Fri Jan 31 2025 Michal Srb <michal@redhat.com> - 0.1-185
- Add RHEL 10 profiles

* Tue Dec 17 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-184
- Konflux imported: Get RPMs from build intead of from a (sub)task(s)
- Don't install redhat-internal-cert-install rpm
- viewer: ignore UTF-8 errors

* Fri Nov 01 2024 Michal Srb <michal@redhat.com> - 0.1-183
- Remove Resilient Storage repos for 10

* Wed Sep 11 2024 Michal Srb <michal@redhat.com> - 0.1-182
- Add repo for RHEL 10.0

* Wed Aug 14 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-181
- Workaround for downgrade test when yum v3.4.3

* Mon Jul 1 2024 Michal Srb <michal@redhat.com> - 0.1-180
- Temporarily ignore warnings about removed systemd unit files being changed on disk

* Tue Jun 18 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-179
- Use dnf5 if installed

* Wed Jun 12 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-178
- Add repo for RHEL 7.7 z-stream

* Tue Jun 04 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-177
- Treat SELinux AVCs as warnings

* Tue May 28 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-176
- hack for missing config-manager

* Tue May 21 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-175
- revert a SELinux-related change

* Thu May 16 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-174
- Add dnf to protected packages

* Tue May 07 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-173
- More RHEL7-related changes

* Fri Apr 19 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-172
- Use https://download.devel.redhat.com everywhere

* Fri Mar 22 2024 Jan Blazek <jblazek@redhat.com> - 0.1-171
- Add compatibility with RHEL 7

* Thu Feb 22 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-170
- rhel-10.0-beta repo file

* Thu Feb 01 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-169
- rebuilt

* Mon Jan 29 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-168
- Handle missing compose (id)

* Thu Jan 25 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-167
- mtps-get-module improvements

* Fri Jan 19 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-166
- Skip update if old package can't be installed
- Separate exit code for skipped tests

* Fri Jan 12 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-165
- multi-arch repos

* Tue Jan 02 2024 Jiri Popelka <jpopelka@redhat.com> - 0.1-164
- viewer (generate-result-json) related updates

* Thu Dec 07 2023 Jiri Popelka <jpopelka@redhat.com> - 0.1-163
- Remove the Requires: python-gobject-base
- Move Requires: to mini-tps.conf
- Improve messages

* Fri Nov 24 2023 Jiri Popelka <jpopelka@redhat.com> - 0.1-162
- URL update
- Move mtps-* executables from /usr/local/bin/ to /usr/sbin/
- Use install instead of mkdir & cp
- mtps-mutils Requires: python-gobject-base

* Mon Jul 31 2023 Andrei Stepanov <astepano@redhat.com> - 0.1-161
- new build

* Fri Jul 28 2023 Michal Srb <michal@redhat.com> - 0.1-160
- Add profiles for Fedora

* Wed Jul 26 2023 Michal Srb <michal@redhat.com> - 0.1-159
- Add option to rpm-verify installed packages (OSCI-1240)

* Wed Mar 29 2023 Michal Srb <michal@redhat.com> - 0.1-158
- Ignore known scriptlet false positives

* Wed Mar 29 2023 Michal Srb <michal@redhat.com> - 0.1-157
- Add HTML result viewer

* Wed Mar 08 2023 Michal Srb <michal@redhat.com> - 0.1-156
- Add option to check for problems in scriptlet outputs (OSCI-1230)

* Wed Feb 08 2023 Michal Srb <michal@redhat.com> - 0.1-155
- Add flatpak repos for RHEL 9

* Tue Jan 17 2023 Andrei Stepanov <astepano@redhat.com> - 0.1-154
- Build with the latest merged PRs.

* Sun Dec 04 2022 Andrei Stepanov <astepano@redhat.com> - 0.1-153
- Build with the latest merged PRs.

* Tue Oct 25 2022 Michal Srb <michal@redhat.com> - 0.1-152
- Add support for scratch builds

* Tue Sep 13 2022 Michal Srb <michal@redhat.com> - 0.1-151
- Add profile for CentOS Stream 9

* Fri Sep 09 2022 Michal Srb <michal@redhat.com> - 0.1-150
- Make profiles configurable for different operating systems.

* Tue Sep 06 2022 Michal Srb <michal@redhat.com> - 0.1-149
- Fix --onlyinrepo option in mtps-get-task.

* Wed Oct 13 2021 Michal Srb <michal@redhat.com> - 0.1-145
- Build with the latest changes.

* Tue Feb 02 2021 Andrei Stepanov <astepano@redhat.com> - 0.1-144
- Build with the latest changes.

* Tue Feb 02 2021 Andrei Stepanov <astepano@redhat.com> - 0.1-143
- Build with the latest changes.

* Mon Jan 25 2021 Andrei Stepanov <astepano@redhat.com> - 0.1-142
- Build with the latest changes.

* Mon Jan 25 2021 Andrei Stepanov <astepano@redhat.com> - 0.1-141
- Build with the latest changes.

* Mon Jan 18 2021 Andrei Stepanov <astepano@redhat.com> - 0.1-140
- Build with the latest changes.

* Thu Jun 25 2020 Andrei Stepanov <astepano@redhat.com> - 0.1-139
- Build with the latest merged PRs.
